Loading...
Searching...
No Matches
lagrangebasis.hh File Reference
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`
`#include <dune/localfunctions/lagrange/cache.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/leafprebasismixin.hh>`
`#include <dune/grid/common/capabilities.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::LagrangePreBasis< GV, k, R >
| A pre-basis for a PQ-lagrange bases with given order. More...
class | Dune::Functions::LagrangeNode< GV, k, R >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, int k = -1, typename R = double>
using | Dune::Functions::LagrangeBasis = DefaultGlobalBasis<LagrangePreBasis<GV, k, R> >
| Nodal basis of a scalar k-th-order Lagrangean finite element space.

## Functions

template<std::size_t k, typename R = double>
auto | Dune::Functions::BasisFactory::lagrange ()
| Create a pre-basis factory that can create a Lagrange pre-basis.
template<typename R = double>
auto | Dune::Functions::BasisFactory::lagrange (int order)
| Create a pre-basis factory that can create a Lagrange pre-basis with a run-time order.